Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.accessoutput
Class AccessOutputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.accessoutput.AccessOutputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class AccessOutputMeta

extends BaseStepMeta
implements StepMetaInterface

Constructor Summary
`AccessOutputMeta()`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`static Object[]` | `createObjectsForRow(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] rowData)`
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`static List<com.healthmarketscience.jackcess.Column>` | `getColumns(org.pentaho.di.core.row.RowMetaInterface row)`
`int` | `getCommitSize()`
`String` | `getFilename()`
`static org.pentaho.di.core.row.RowMetaInterface` | `getLayout(com.healthmarketscience.jackcess.Table table)`
`org.pentaho.di.core.row.RowMetaInterface` | `getRequiredFields(org.pentaho.di.core.variables.VariableSpace space)` The natural way of data flow in a transformation is source-to-target.
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getTablename()`
`String[]` | `getUsedLibraries()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isAddToResultFiles()`
`boolean` | `isDoNotOpenNewFileInit()`
`boolean` | `isFileCreated()`
`boolean` | `isTableCreated()`
`boolean` | `isTableTruncated()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddToResultFiles(boolean addtoresultfilenamesin)`
`void` | `setCommitSize(int commitSize)`
`void` | `setDefault()` Set default values
`void` | `setDoNotOpenNewFileInit(boolean doNotOpenNewFileInit)`
`void` | `setFileCreated(boolean fileCreated)`
`void` | `setFilename(String filename)`
`void` | `setTableCreated(boolean tableCreated)`
`void` | `setTablename(String tablename)`
`void` | `setTableTruncated(boolean truncateTable)`
`boolean` | `truncateTable()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getFields, getID, getInfoSteps, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### AccessOutputMeta

    public AccessOutputMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getTablename

    public String getTablename()

  Returns:
    Returns the tablename.

### setTablename

    public void setTablename(String tablename)

  Parameters:
    `tablename` - The tablename to set.

### truncateTable

    public boolean truncateTable()

  Returns:
    Returns the truncate table flag.

### setTableTruncated

    public void setTableTruncated(boolean truncateTable)

  Parameters:
    `truncateTable` - The truncate table flag to set.

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getRequiredFields

    public org.pentaho.di.core.row.RowMetaInterface getRequiredFields(org.pentaho.di.core.variables.VariableSpace space)
                                                               throws org.pentaho.di.core.exception.KettleException

  Description copied from class: `BaseStepMeta`
  The natural way of data flow in a transformation is source-to-target. However, this makes mapping to target tables difficult to do. To help out here, we supply information to the transformation meta-data model about which fields are required for a step. This allows us to automate certain tasks like the mapping to pre-defined tables. The Table Output step in this case will output the fields in the target table using this method. This default implementation returns an empty row meaning that no fields are required for this step to operate.

  Specified by:
    `getRequiredFields` in interface `StepMetaInterface`
  Overrides:
    `getRequiredFields` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use to do variable substitution.
  Returns:
    the required fields for this steps meta data.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case the required fields can't be determined

### getLayout

    public static final org.pentaho.di.core.row.RowMetaInterface getLayout(com.healthmarketscience.jackcess.Table table)
                                                                    throws SQLException

  Throws:
    `SQLException`

### getColumns

    public static final List<com.healthmarketscience.jackcess.Column> getColumns(org.pentaho.di.core.row.RowMetaInterface row)

### createObjectsForRow

    public static Object[] createObjectsForRow(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                                               Object[] rowData)
                                        throws org.pentaho.di.core.exception.KettleValueException

  Throws:
    `org.pentaho.di.core.exception.KettleValueException`

### isFileCreated

    public boolean isFileCreated()

  Returns:
    the fileCreated

### setFileCreated

    public void setFileCreated(boolean fileCreated)

  Parameters:
    `fileCreated` - the fileCreated to set

### getFilename

    public String getFilename()

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

### isTableCreated

    public boolean isTableCreated()

  Returns:
    the tableCreated

### setTableCreated

    public void setTableCreated(boolean tableCreated)

  Parameters:
    `tableCreated` - the tableCreated to set

### isTableTruncated

    public boolean isTableTruncated()

  Returns:
    the tableTruncated

### getCommitSize

    public int getCommitSize()

  Returns:
    the commitSize

### setCommitSize

    public void setCommitSize(int commitSize)

  Parameters:
    `commitSize` - the commitSize to set

### isAddToResultFiles

    public boolean isAddToResultFiles()

  Returns:
    Returns the add to result filesname.

### setAddToResultFiles

    public void setAddToResultFiles(boolean addtoresultfilenamesin)

  Parameters:
    `addtoresultfilenamesin` - The addtoresultfilenames to set.

### isDoNotOpenNewFileInit

    public boolean isDoNotOpenNewFileInit()

  Returns:
    Returns the "do not open new file init" flag

### setDoNotOpenNewFileInit

    public void setDoNotOpenNewFileInit(boolean doNotOpenNewFileInit)

  Parameters:
    `doNotOpenNewFileInit` - The "do not open new file init" flag to set.

### getUsedLibraries

    public String[] getUsedLibraries()

  Specified by:
    `getUsedLibraries` in interface `StepMetaInterface`
  Overrides:
    `getUsedLibraries` in class `BaseStepMeta`
  Returns:
    the libraries that this step or plug-in uses.

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of the base path into an absolute path.

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD